## gnome-shell-extensions-extra 20230205

=== Makefile ===
# Progress Linux: gnome-shell-extensions-extra

# Copyright (C) 2010-2023 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = gnome-shell-extensions-extra
VERSION := $(shell cat VERSION.txt)

extensions-%:
	@cd extensions; \
	for EXTENSION in *.mk;  \
	do \
		echo "################################################################################"; \
		echo "$${EXTENSION}: $$(echo ${@} | cut -d- -f2-)"; \
		echo "################################################################################"; \
		$(MAKE) -f $${EXTENSION} $$(echo ${@} | cut -d- -f2-); \
	done

package-test:

package-build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

package-install: package-build
	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

package-uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

package-clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

all: build

test: extensions-test package-test

build: extensions-build package-build

install: extensions-install package-install

uninstall: extensions-uninstall package-uninstall

clean: extensions-clean package-clean

distclean: clean
	rm -rf $(SOFTWARE)-$(VERSION)

reinstall: uninstall install

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(SOFTWARE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(SOFTWARE)-$(VERSION)

upload:
	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream

=== extensions/hibernate-status/Makefile ===
# Basic Makefile

UUID = hibernate-status@dromi
BASE_MODULES = extension.js metadata.json confirmDialog.js LICENSE README.md
EXTRA_MODULES = prefs.js
TOLOCALIZE =  confirmDialog.js prefs.js
PO_FILES := $(wildcard ./locale/*/*/*.po)
MO_FILES := $(PO_FILES:.po=.mo)

ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
INSTALLNAME = hibernate-status@dromi

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./**/*~
	rm -f ./locale/*/*/*.mo
	rm -f ./locale/hibernate-status-button.pot

extension: ./schemas/gschemas.compiled $(MO_FILES)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.hibernate-status-button.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./locale/hibernate-status-button.pot

mergepo: potfile
	for l in $(PO_FILES); do \
		msgmerge -U $$l ./locale/hibernate-status-button.pot; \
	done;

./locale/hibernate-status-button.pot: $(TOLOCALIZE)
	mkdir -p locale
	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o locale/hibernate-status-button.pot --package-name "Hibernate Status Button" $(TOLOCALIZE)

%.mo: %.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	# rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas
	rm -f $(INSTALLBASE)/$(INSTALLNAME)/schemas/*gschema.xml
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; zip -qr "$(UUID).zip" . -x '*.po'
	mv _build/$(UUID).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	cp -r locale/ _build/locale

=== share/man/Makefile ===
# Progress Linux: gnome-shell-extensions-extra

# Copyright (C) 2010-2023 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} gnome-shell-extensions-extra |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

## gnome-shell-extensions-extra 20230204

=== debian/changelog ===
gnome-shell-extensions-extra (20230204-1) unstable; urgency=low

  * Initial upload to sid.
  * Conglomerating my previous separate gnome-shell-extension-* uploads to NEW
    into one single source package building one single binary package as
    instructed by ftp-master.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:46:53 +0100

=== debian/control ===
Source: gnome-shell-extensions-extra
Section: gnome
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libglib2.0-bin,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra/
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra/

Package: gnome-shell-extensions-extra
Section: gnome
Architecture: all
Depends:
 gnome-shell (>= 42),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Enhances:
 gnome-shell,
Breaks:
# upgrade from bullseye
 gnome-shell-extension-multi-monitors,
Replaces:
 gnome-shell-extension-multi-monitors,
Description: Conglomeration package of several GNOME Shell extensions
 The gnome-shell-extensions-extra contains the following extensions for
 GNOME Shell:
 .
  * disable-workspace-switcher:
    disables the popup displayed during workspace switching.
 .
  * hibernate-status:
    adds a hibernate/hybrid suspend button in status menu.
 .
  * multi-monitors-add-on:
    adds panels and thumbnails for additional monitors.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

execute_after_dh_auto_clean:
	# hibernate-status
	$(MAKE) -C hibernate-status clean

override_dh_auto_build:
	# multi-monitors-add-on
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' multi-monitors-add-on/*/metadata.json); \
	cd multi-monitors-add-on && \
	for TRANSLATION in $${UUID}/locale/* ; do \
		msgfmt -cv -o $${TRANSLATION}/LC_MESSAGES/multi-monitors-add-on.mo \
		              $${TRANSLATION}/LC_MESSAGES/multi-monitors-add-on.po; \
	done && \
	glib-compile-schemas --strict --targetdir=$${UUID}/schemas/ $${UUID}/schemas

override_dh_auto_install:
	mkdir -p debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions

	# disable-workspace-switcher
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' disable-workspace-switcher/*/metadata.json); \
	cp -a disable-workspace-switcher/$${UUID} debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions

	# hibernate-status
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' hibernate-status/metadata.json); \
	$(MAKE) -C hibernate-status DESTDIR=$(CURDIR)/debian/gnome-shell-extensions-extra install; \
	rm -f debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions/$${UUID}/LICENSE; \
	rm -f debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions/$${UUID}/README.md

	# multi-monitors-add-on
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' multi-monitors-add-on/*/metadata.json); \
	cp -a multi-monitors-add-on/$${UUID} debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions/$${UUID}

## gnome-shell-extensions-extra 20230205

=== debian/changelog ===
gnome-shell-extensions-extra (20230205-2) sid; urgency=medium

  * Uploading to sid.
  * Reuploading with urgency medium without changes.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Feb 2023 13:14:10 +0100

gnome-shell-extensions-extra (20230205-1) sid; urgency=low

  * Uploading to sid.
  * Merging upstream version 20230205.
  * Updating build-depends for new upstream version.
  * Updating package long-description for new upstream version.
  * Adding provides for individual extensions.
  * Updating copyright for new upstream version.
  * Updating rules for new upstream version.
  * Adding watch file.
  * Adding upstream signing key.
  * Disabling show-indicator by default in multi-monitors-add-on
    extension.
  * Disabling show-activities by default in multi-monitors-add-on
    extension.
  * Adding no-overview metadata.json.
  * Using distribution codenames in changelog.
  * Harmonizing vcs fields.
  * Adding gsettings override for multi-monitors-add-on for reasonable
    defaults.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Feb 2023 09:03:59 +0100

gnome-shell-extensions-extra (20230204-1) sid; urgency=low

  * Initial upload to sid.
  * Conglomerating my previous separate gnome-shell-extension-* uploads to NEW
    into one single source package building one single binary package as
    instructed by ftp-master.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:46:53 +0100

=== debian/control ===
Source: gnome-shell-extensions-extra
Section: gnome
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libglib2.0-bin,
 python3-docutils,
 unzip,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra

Package: gnome-shell-extensions-extra
Section: gnome
Architecture: all
Depends:
 gnome-shell (>= 42),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Enhances:
 gnome-shell,
Breaks:
# upgrade from bullseye
 gnome-shell-extension-multi-monitors,
Replaces:
 gnome-shell-extension-multi-monitors,
Provides:
 gnome-shell-extension-disable-workspace-switcher,
 gnome-shell-extension-hibernate-status,
 gnome-shell-extension-middleclickclose,
 gnome-shell-extension-multi-monitors-add-on,
 gnome-shell-extension-no-overview,
 gnome-shell-extension-vertical-workspaces,
Description: Conglomeration package of GNOME Shell extensions
 The gnome-shell-extensions-extra contains the following extensions for
 GNOME Shell:
 .
   * disable-workspace-switcher:
     disables the popup displayed during workspace switching
 .
   * hibernate-status:
     adds a hibernate/hybrid suspend button in status menu
 .
   * middleclickclose:
     closes apps in overview with a middle click
 .
   * multi-monitors-add-on:
     adds panels and thumbnails for additional monitors
 .
   * no-overview:
     disables the switch to overview at login
 .
   * vertical-workspaces:
     changes the horizontal stacking of workspaces to vertical, but also
     customizes layout, content, appearance and behavior of the Shell

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --no-parallel

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/LICENSE.txt

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.progress-linux.org/packages/gnome-shell-extensions-extra/upstream/gnome-shell-extensions-extra-(.+)\.tar\.lz

## gnome-shell-extensions-extra 20240916

=== debian/control ===
Source: gnome-shell-extensions-extra
Section: gnome
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 gnome-shell,
 libglib2.0-bin,
 python3-docutils,
 unzip,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra

Package: gnome-shell-extensions-extra
Section: gnome
Architecture: all
Depends:
 gnome-shell (>= ${gnome-shell:Depends:low}~),
 gnome-shell (<< ${gnome-shell:Depends:high}~),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Enhances:
 gnome-shell,
Provides:
 gnome-shell-extension-disable-workspace-switcher (= 3+20231017),
 gnome-shell-extension-hibernate-status (= 1.16~rc1),
 gnome-shell-extension-middleclickclose (= 31),
 gnome-shell-extension-no-overview (= 46),
 gnome-shell-extension-vertical-workspaces (= 46.2+20240828),
Description: Conglomeration package of GNOME Shell extensions
 The gnome-shell-extensions-extra contains the following extensions for
 GNOME Shell:
 .
   * disable-workspace-switcher:
     disables the popup displayed during workspace switching
 .
   * hibernate-status:
     adds a hibernate/hybrid suspend button in status menu
 .
   * middleclickclose:
     closes apps in overview with a middle click
 .
   * no-overview:
     disables the switch to overview at login
 .
   * vertical-workspaces:
     changes the horizontal stacking of workspaces to vertical, but also
     customizes layout, content, appearance and behavior of the Shell

=== debian/rules ===
#!/usr/bin/make -f

EXTENSIONS_VERSION = 47

GNOME_SHELL_DEPENDS_LOW = 2:46
GNOME_SHELL_DEPENDS_HIGH = 2:48

%:
	dh ${@} --no-parallel

execute_after_dh_auto_clean:
	rm -f extensions/current

	# remove generated files
	rm -f extensions/44/*/*/schemas/gschemas.compiled
	rm -f extensions/44/middleclickclose/*/locale/*/LC_MESSAGES/*.mo

execute_before_dh_auto_build:
	ln -s $(EXTENSIONS_VERSION) extensions/current

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/LICENSE.txt

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome-shell:Depends:low="$(GNOME_SHELL_DEPENDS_LOW)" \
		-Vgnome-shell:Depends:high="$(GNOME_SHELL_DEPENDS_HIGH)"

## gnome-shell-extensions-extra 20250212

=== debian/changelog ===
gnome-shell-extensions-extra (20250212-1) sid; urgency=medium

  * Merging upstream version 20250212.
  * Updating packaging for addition of just-perfection.
  * Building for gnome-shell version 48 (Closes: #1095826).
  * Updating versioned provides for new upstream version.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Feb 2025 16:24:00 +0100

gnome-shell-extensions-extra (20240916-2) sid; urgency=medium

  * Updating source urls in copyright.
  * Removing trailing slash from maintainers field.
  * Updating my email address.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.
  * Also updating email address in patches.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Feb 2025 17:53:00 +0100

gnome-shell-extensions-extra (20240916-1) sid; urgency=medium

  * Merging upstream version 20240916 (Closes: #1079257).
  * Updating gnome-shell statics for version 47.
  * Updating provides for new upstream versions.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Sep 2024 19:40:11 +0200

gnome-shell-extensions-extra (20240414-2) sid; urgency=medium

  * Uploading without changes now that gnome-shell 46 is in unstable
    (Closes: #1067433).

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Jul 2024 12:46:58 +0200

gnome-shell-extensions-extra (20240414-1) experimental; urgency=medium

  * Merging upstream version 20240414 (Closes: #1067433).
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Updating gnome-shell statics for version 46.
  * Updating provides for new upstream versions.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Apr 2024 08:20:22 +0200

gnome-shell-extensions-extra (20231210-2) experimental; urgency=medium

  * Building with GNOME 45 variants (Closes: #1052112).
  * Updating versioned extension provides for GNOME 45 variants.
  * Updating package description for GNOME 45 variants.
  * Adding gnome-shell to build-depends for middleclickclose.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 15:47:59 +0100

gnome-shell-extensions-extra (20231210-1) sid; urgency=medium

  * Merging upstream version 20231210.
  * Updating versioned extension provides.
  * Updating copyright for new upstream versions.
  * Removing no-overview_metadata.patch, not needed anymore.
  * Moving patches to version gnome-shell version specific directory.
  * Updating rules to build for gnome-shell version 43.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 15:42:17 +0100

gnome-shell-extensions-extra (20230618-3) sid; urgency=medium

  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1044144).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Aug 2023 11:21:29 +0200

gnome-shell-extensions-extra (20230618-2) sid; urgency=medium

  * Adding individual versions to provides.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 Jun 2023 11:07:47 +0200

gnome-shell-extensions-extra (20230618-1) sid; urgency=medium

  * Merging upstream version 20230618.
  * Refreshing no-overview_metadata.patch for gnome-shell 44.
  * Setting minimal gnome-shell version to 43.
  * Setting maximal gnome-shell version to 44.
  * Removing breaks/replaces from before bookworm.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Jun 2023 15:49:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: gnome-shell-extensions-extra
 Section: gnome
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>,
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
  gnome-shell,
  libglib2.0-bin,
+ libglib2.0-dev-bin,
+ libxml2-utils,
  python3-docutils,
  unzip,
  zip,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
+Vcs-Browser: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra
+Vcs-Git: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra
 
 Package: gnome-shell-extensions-extra
 Section: gnome
@@ -29,9 +31,10 @@
 Provides:
  gnome-shell-extension-disable-workspace-switcher (= 3+20231017),
  gnome-shell-extension-hibernate-status (= 1.16~rc1),
- gnome-shell-extension-middleclickclose (= 31),
+ gnome-shell-extension-just-perfection (= 34.0),
+ gnome-shell-extension-middleclickclose (= 32),
  gnome-shell-extension-no-overview (= 46),
- gnome-shell-extension-vertical-workspaces (= 46.2+20240828),
+ gnome-shell-extension-vertical-workspaces (= 47.5+20250210),
 Description: Conglomeration package of GNOME Shell extensions
  The gnome-shell-extensions-extra contains the following extensions for
  GNOME Shell:
@@ -42,6 +45,9 @@
    * hibernate-status:
      adds a hibernate/hybrid suspend button in status menu
  .
+   * just-perfection:
+     changes behaviour and disables UI elements
+ .
    * middleclickclose:
      closes apps in overview with a middle click
  .

## gnome-shell-extensions-extra 20250312

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Progress Linux: gnome-shell-extensions-extra
 
-# Copyright (C) 2010-2023 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2024 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -22,8 +22,10 @@
 SOFTWARE = gnome-shell-extensions-extra
 VERSION := $(shell cat VERSION.txt)
 
+EXTENSIONS_VERSION := current
+
 extensions-%:
-	@cd extensions; \
+	@cd extensions/$(EXTENSIONS_VERSION); \
 	for EXTENSION in *.mk;  \
 	do \
 		echo "################################################################################"; \
@@ -41,7 +43,7 @@
 
 package-install: package-build
 	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
-	cp -r CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 	for SECTION in $$(seq 1 8); \
 	do \

=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Progress Linux: gnome-shell-extensions-extra
 
-# Copyright (C) 2010-2023 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2024 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== extensions/44/hibernate-status/Makefile ===
# Basic Makefile

UUID = hibernate-status@dromi
BASE_MODULES = extension.js metadata.json confirmDialog.js LICENSE README.md
EXTRA_MODULES = prefs.js
TOLOCALIZE =  confirmDialog.js prefs.js
PO_FILES := $(wildcard ./locale/*/*/*.po)
MO_FILES := $(PO_FILES:.po=.mo)

ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
INSTALLNAME = hibernate-status@dromi

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./**/*~
	rm -f ./locale/*/*/*.mo
	rm -f ./locale/hibernate-status-button.pot

extension: ./schemas/gschemas.compiled $(MO_FILES)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.hibernate-status-button.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./locale/hibernate-status-button.pot

mergepo: potfile
	for l in $(PO_FILES); do \
		msgmerge -U $$l ./locale/hibernate-status-button.pot; \
	done;

./locale/hibernate-status-button.pot: $(TOLOCALIZE)
	mkdir -p locale
	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o locale/hibernate-status-button.pot --package-name "Hibernate Status Button" $(TOLOCALIZE)

%.mo: %.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; zip -qr "$(UUID).zip" . -x '*.po'
	mv _build/$(UUID).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	cp -r locale/ _build/locale

=== extensions/44/vertical-workspaces/Makefile ===
SHELL := /bin/bash

# Replace these with the name and domain of your extension!
NAME     := vertical-workspaces
DOMAIN   := G-dH.github.com
ZIP_NAME := $(NAME)@$(DOMAIN).zip

# Some of the recipes below depend on some of these files.
JS_FILES       = $(shell find -type f -and \( -name "*.js" \))
UI_FILES       = $(shell find -type f -and \( -name "*.ui" \))
#RESOURCE_FILES = $(shell find resources -mindepth 2 -type f)
LOCALES_PO     = $(wildcard po/*.po)
LOCALES_MO     = $(patsubst po/%.po,locale/%/LC_MESSAGES/$(NAME).mo,$(LOCALES_PO))

# These files will be included in the extension zip file.
ZIP_CONTENT = $(JS_FILES) $(LOCALES_MO) \
              schemas/* schemas/gschemas.compiled metadata.json LICENSE stylesheet.css

# These six recipes can be invoked by the user.
.PHONY: all zip install uninstall pot clean

all: $(ZIP_CONTENT)

# The zip recipes only bundles the extension without installing it.
zip: $(ZIP_NAME)

# The install recipes creates the extension zip and installs it.
install: $(ZIP_NAME)
	gnome-extensions install "$(ZIP_NAME)" --force
	@echo "Extension installed successfully! Now restart the Shell ('Alt'+'F2', then 'r' or log out/log in on Wayland)."

# This uninstalls the previously installed extension.
uninstall:
	gnome-extensions uninstall "$(NAME)@$(DOMAIN)"

# Use gettext to generate a translation template file.
pot: $(JS_FILES) $(UI_FILES)
	@echo "Generating '$(NAME).pot'..."
	@xgettext --from-code=UTF-8 \
	          --add-comments=Translators \
	          --copyright-holder="GdH" \
	          --package-name="$(NAME)" \
	          --output=po/$(NAME).pot \
	          $(JS_FILES) $(UI_FILES)

# This removes all temporary files created with the other recipes.
clean:
	rm -rf $(ZIP_NAME) \
	       schemas/gschemas.compiled \
	       locale

# This bundles the extension and checks whether it is small enough to be uploaded to
# extensions.gnome.org. We do not use "gnome-extensions pack" for this, as this is not
# readily available on the GitHub runners.
$(ZIP_NAME): $(ZIP_CONTENT)
	@echo "Packing zip file..."
	@rm --force $(ZIP_NAME)
	@zip $(ZIP_NAME) -- $(ZIP_CONTENT)

	@#Check if the zip size is too big to be uploaded
	@SIZE=$$(unzip -Zt $(ZIP_NAME) | awk '{print $$3}') ; \
	 if [[ $$SIZE -gt 5242880 ]]; then \
	    echo "ERROR! The extension is too big to be uploaded to" \
	         "the extensions website, keep it smaller than 5 MB!"; \
	    exit 1; \
	 fi

# Compiles the gschemas.compiled file from the gschema.xml file.
schemas/gschemas.compiled: schemas/org.gnome.shell.extensions.$(NAME).gschema.xml
	@echo "Compiling schemas..."
	@glib-compile-schemas schemas

# Compiles the gresource file from the gresources.xml.
#resources/$(NAME).gresource: resources/$(NAME).gresource.xml
#	@echo "Compiling resources..."
#	@glib-compile-resources --sourcedir="resources" --generate resources/$(NAME).gresource.xml

# Generates the gresources.xml based on all files in the resources subdirectory.
#resources/$(NAME).gresource.xml: $(RESOURCE_FILES)
#	@echo "Creating resources xml..."
#	@FILES=$$(find "resources" -mindepth 2 -type f -printf "%P\n" | xargs -i echo "<file>{}</file>") ; \
	 echo "<?xml version='1.0' encoding='UTF-8'?><gresources><gresource> $$FILES </gresource></gresources>" \
	     > resources/$(NAME).gresource.xml

# Compiles all *.po files to *.mo files.
locale/%/LC_MESSAGES/$(NAME).mo: po/%.po
	@echo "Compiling $@"
	@mkdir -p locale/$*/LC_MESSAGES
	@msgfmt -c -o $@ $<

=== extensions/48/hibernate-status/Makefile ===
# Basic Makefile

UUID = hibernate-status@dromi
BASE_MODULES = extension.js metadata.json LICENSE README.md
EXTRA_MODULES = prefs.js
TOLOCALIZE =  confirmDialog.js prefs.js
PO_FILES := $(wildcard ./locale/*/*/*.po)
MO_FILES := $(PO_FILES:.po=.mo)

ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
INSTALLNAME = hibernate-status@dromi

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./**/*~
	rm -f ./locale/*/*/*.mo
	rm -f ./locale/hibernate-status-button.pot

extension: ./schemas/gschemas.compiled $(MO_FILES)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.hibernate-status-button.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./locale/hibernate-status-button.pot

mergepo: potfile
	for l in $(PO_FILES); do \
		msgmerge -U $$l ./locale/hibernate-status-button.pot; \
	done;

./locale/hibernate-status-button.pot: $(TOLOCALIZE)
	mkdir -p locale
	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o locale/hibernate-status-button.pot --package-name "Hibernate Status Button" $(TOLOCALIZE)

%.mo: %.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; zip -qr "$(UUID).zip" . -x '*.po'
	mv _build/$(UUID).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	cp -r locale/ _build/locale

=== extensions/48/middleclickclose/Makefile ===
.PHONY: clean all install po pot pack

POT_SOURCE_FILES = $(wildcard src/schemas/*.gschema.xml src/*.js)
EXTRA_SOURCE_FILES = settingsWatch.js

all: pack

pack:
	gnome-extensions pack --force src/ $(addprefix --extra-source=, $(EXTRA_SOURCE_FILES))

install: pack
	gnome-extensions install --force middleclickclose@paolo.tranquilli.gmail.com.shell-extension.zip

po: $(wildcard src/po/*.po)
pot: src/po/template.pot

clean:
	rm -f middleclickclose@paolo.tranquilli.gmail.com.shell-extension.zip
	rm -f src/po/template.pot

# ---

src/po/template.pot: $(POT_SOURCE_FILES)
	xgettext -F --from-code=UTF-8 --output=src/po/template.pot $(POT_SOURCE_FILES)

src/po/%.po: pot
	msgmerge --quiet --backup off --update $@ src/po/template.pot

=== debian/changelog ===
gnome-shell-extensions-extra (20250312-2) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:25:27 +0200

gnome-shell-extensions-extra (20250312-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 20250312:
    - updates no-overview for GNOME 48 (Closes: #1100049)
    - compiles missing schemas (Closes: #1099496)

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 09:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  unzip,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra
 Vcs-Git: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-EXTENSIONS_VERSION = 47
+EXTENSIONS_VERSION = 48
 
-GNOME_SHELL_DEPENDS_LOW = 2:46
-GNOME_SHELL_DEPENDS_HIGH = 2:48
+GNOME_SHELL_DEPENDS_LOW = 46
+GNOME_SHELL_DEPENDS_HIGH = 49
 
 %:
 	dh ${@} --no-parallel

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/gnome-shell-extensions-extra/gnome-shell-extensions-extra-(.+)\.tar\.lz
